/*
    Copyright (C) 2010 Volker Krause <vkrause@kde.org>
    
    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this library; see the file COPYING.LIB.  If not, write to
    the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
    Boston, MA 02110-1301, USA.
*/

#include "wcefiledialog_folderpicker.h"

#include "kurlrequester.h"
#include <QtGui/QVBoxLayout>

WCEFolderPicker::WCEFolderPicker(QWidget* parent) : KDialog( parent )
{
  m_requester = new KUrlRequester;
  QVBoxLayout *layout = new QVBoxLayout( mainWidget() );
  layout->addWidget( m_requester );
  
  setButtons( Ok | Cancel );
}

QString WCEFolderPicker::path() const
{
  return m_requester->url().toLocalFile();
}

void WCEFolderPicker::setPath(const QString& path)
{
  m_requester->setText( path );
}

#include "wcefiledialog_folderpicker.moc"
