/*
    Copyright (C) 2010  Kevin Funk <krf@electrostorm.net>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along
    with this program; if not, write to the Free Software Foundation, Inc.,
    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

*/

#ifndef SOLID_NETWORKINGCONTROLMANAGER_FAKE_H
#define SOLID_NETWORKINGCONTROLMANAGER_FAKE_H

#include "networkingcontrolmanager.h"

namespace Solid {

/**
 * NetworkingControl class for session-based networking control
 *
 * This class does nothing
 */
class FakeNetworkingControlManager
    : public NetworkingControlManager
{
    Q_OBJECT

public:
    explicit FakeNetworkingControlManager(QObject* parent)
        : NetworkingControlManager(parent) {}
    virtual ~FakeNetworkingControlManager() {}

    virtual void establishConnection() {}
    virtual void releaseConnection() {}
    virtual bool connectionRequested() { return false; }

    virtual Networking::Status status() const;

public Q_SLOTS:
    void updateStatus() {}
};

}

#endif // SOLID_NETWORKINGCONTROLMANAGER_FAKE_H
