/*
    Copyright (C) 2010  Kevin Funk <krf@electrostorm.net>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along
    with this program; if not, write to the Free Software Foundation, Inc.,
    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

*/

#ifndef SOLID_NETWORKINGCONTROLMANAGER_WINCE_H
#define SOLID_NETWORKINGCONTROLMANAGER_WINCE_H

#include "networkingcontrolmanager.h"

// platform specific
#include <winbase.h>

class ConnMgrHandler;

namespace Solid {

class WinCENetworkingControlManager
    : public NetworkingControlManager
{
    Q_OBJECT

public:
    explicit WinCENetworkingControlManager(QObject* parent = 0);
    virtual ~WinCENetworkingControlManager();

    virtual void establishConnection();
    virtual void releaseConnection();
    inline bool connectionRequested() { return m_connectionRequested; }

    virtual Networking::Status status() const { return m_status; }

public Q_SLOTS:
    virtual void updateStatus();

Q_SIGNALS:
    void statusChanged(Networking::Status);

private Q_SLOTS:
    void checkConnection();

private:
    void initMessageWindow();
    void destroyMessageWindow();

    void setStatus(Networking::Status status);
    static Networking::Status toNetworkingStatus(DWORD connMgrStatus);

    HANDLE m_handle;
    HWND m_hWnd;

    bool m_connectionRequested;

    Networking::Status m_status;
};

}

#endif // SOLID_NETWORKINGCONTROLMANAGER_WINCE_H
