/*
    Copyright (C) 2010  Kevin Funk <krf@electrostorm.net>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along
    with this program; if not, write to the Free Software Foundation, Inc.,
    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

*/

#ifndef MINIMALNETWORKINGCLIENT_H
#define MINIMALNETWORKINGCLIENT_H

#include <solid/networking.h>

#include <QtGui/QWidget>
#include <QtNetwork/QTcpSocket>

class QLabel;
class QPushButton;
class QTextBrowser;

#ifdef Q_OS_WINCE
namespace Solid { class NetworkingSession; }
#endif

class MinimalNetworkingClient
    : public QWidget
{
    Q_OBJECT

public:
    MinimalNetworkingClient(QWidget* parent = 0, Qt::WindowFlags f = 0);
    virtual ~MinimalNetworkingClient();

private Q_SLOTS:
    void initConnection();
    void releaseConnection();
    void showStatus();

    void addMessage(const QString& message);

    void statusChanged(Solid::Networking::Status status);
    void stateChanged(QAbstractSocket::SocketState state);

private:
    QLabel* m_label;
    QTextBrowser* m_log;

    QTcpSocket* m_socket;

    QAbstractSocket::SocketState m_state;
    Solid::Networking::Status m_status;

#ifdef Q_OS_WINCE
    Solid::NetworkingSession* m_session;
#endif
};

#endif // MINIMALNETWORKINGCLIENT_H
